Subject: bug#57433: closed (Re: bug#57433: Emacs no longer moves point into visible port of the buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 27 Aug 2022 15:56:02 +0000

Your bug report

#57433: Emacs no longer moves point into visible port of the buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57433: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57433
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57433: Emacs no longer moves point into visible port of the buffer
From: Eli Zaretskii <[email-masked]>
To: Paul Pogonyshev <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 27 Aug 2022 18:55:40 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Paul Pogonyshev <[email-masked]>
> Date: Sat, 27 Aug 2022 17:47:32 +0200
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > Strange.  Could you please double-check that you have commit
> > a2d62456a7b8da27fb9b64f71b6ce588f2d73287 in your worktree?
> 
> I have rebuilt Emacs and now it works. I previously tried with applying
> the patch from "In that case, can you see if the patch below solves the
> original issue with Magit?" locally, but apparently did something wrong.
> 
> So yes, it works for me now, sorry.

No need to be sorry, thanks for testing the fix.  I'm therefore
closing the bug.

> > I think you are reading too much into what that text says.  It says
> > that point moves to the edge of such a sequence, and that is what
> > happens here.  No more, no less.
> 
> Yeah, I see now that if you move with C-b, the point disappears within
> the diff for the previous file, even with Emacs 28, and then Magit
> misbehaves. To be honest, I'm not sure if that is useful (or maybe there
> is some reason for moving "to the edge" rather than outside an
> invisible sequence), but that's certainly not a regression in Emacs.

The "reason" is largely a side-effect of the implementation, I
suspect.

Subject: Emacs no longer moves point into visible port of the buffer
From: Paul Pogonyshev <[email-masked]>
To: [email-masked]
Date: Fri, 26 Aug 2022 18:32:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Git commit 233c91d32a. Has been broken at least for a few days: my previous
build also exhibited this.

No idea how to create a short test in Elisp.

>From user point of view: open a Magit buffer in a directory with at least
two locally modified and uncommitted files. The buffer shows sth. like this:

...
Staged changes (N)
modified   file1
modified   file2
...

Move the point with C-n to the line with `file2'. Press TAB. Magit section
for the file is not opened. Use `M-x describe-char'. From the resulting
buffer you can say that the point is actually on an invisible char '@',
i.e. start of (hidden) diff for the first file.

It may be necessary to restart Emacs if you have used Magit in this
directory previously.

This used to work fine (i.e. point was never on an invisible character)
both in Emacs 28 and earlier snapshots of `master'.

Paul